com.rscja.deviceapi.interfaces

## Interface IUHFOfAndroidUart

- All Superinterfaces:
    IUHF
  All Known Subinterfaces:
    IM775Authenticate, IRFIDWithUHFA4Uart, IRFIDWithUHFA8Uart, IRFIDWithUHFJieCe, IRFIDWithUHFRLM, IRFIDWithUHFShuangYingDianZi, IRFIDWithUHFUARTUAE, IUHFCSYX, IUHFTamperAPI, IUHFUartFoxconn
  All Known Implementing Classes:
    M775Authenticate, M775Authenticate_mtk, M775Authenticate_qcom, RFIDWithUHFA4, RFIDWithUHFA4_qcom, RFIDWithUHFA8, RFIDWithUHFA8_qcom, RFIDWithUHFAxBase, RFIDWithUHFAxBase_qcom, RFIDWithUHFJieCe, RFIDWithUHFJieCe_qcom, RFIDWithUHFRLM, RFIDWithUHFRLM_qcom, RFIDWithUHFShuangYingDianZi_qcom, RFIDWithUHFUART, RFIDWithUHFUART_mtk, RFIDWithUHFUART_qcom, RFIDWithUHFUARTUAE_qcom, UHFCSYX, UHFCSYX_qcom, UHFTamperAPI, UHFTamperAPI_qcom, UHFTemperatureSensors, UHFTemperatureTagsAPI, UHFTemperatureTagsAPI_mtk, UHFTemperatureTagsAPI_qcom, UHFUartFoxconn, UHFUartFoxconn_mtk, UHFUartFoxconn_qcom, UHFUartTemperatureTag, UHFXSAPI

      public interface IUHFOfAndroidUart
      extends IUHF

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrCode()`
    `java.lang.String` | `getHardwareVersion()`
    `boolean` | `isPowerOn()`
    `void` | `setOnLowBatteryListener(android.content.Context context, LowBatteryEntity lowBatteryEntity, OnLowBatteryListener onLowBatteryListener)`
    `void` | `setPowerOnBySystem(android.content.Context context)` 设置uhf由系统内部上电,不使用DeviceAPI的代码上电!
    `void` | `setUart(java.lang.String uart)` 设置uhf串口，使用此函数需要谨慎，否则uhf会无法工作。

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### getHardwareVersion

          java.lang.String getHardwareVersion()

    - #### setUart

          void setUart(java.lang.String uart)

      设置uhf串口，使用此函数需要谨慎，否则uhf会无法工作。
      Parameters:
        `uart` - uart path

    - #### setPowerOnBySystem

          void setPowerOnBySystem(android.content.Context context)

      设置uhf由系统内部上电,不使用DeviceAPI的代码上电!
      Parameters:
        `context` -

    - #### getErrCode

          int getErrCode()

    - #### isPowerOn

          boolean isPowerOn()

    - #### setOnLowBatteryListener

          void setOnLowBatteryListener(android.content.Context context,
                                       LowBatteryEntity lowBatteryEntity,
                                       OnLowBatteryListener onLowBatteryListener)
                                throws LowBatteryException

      Throws:
        `LowBatteryException`